Gazebo | Ignition | Community
Ask Your Question
0

cloudsim will not install [closed]

asked 2013-01-13 16:14:18 -0600

aqiruse gravatar image

updated 2013-01-13 16:22:09 -0600

nkoenig gravatar image
ubuntu@domU-12-31-39-02-32-67:~$ sudo apt-get install cloud-utils drcsim python zip unzip openvpn openssh-client ros-fuerte-visualization
Reading package lists... Done
Building dependency tree       
Reading state information... Done
cloud-utils is already the newest version.
openssh-client is already the newest version.
python is already the newest version.
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.

The following information may help to resolve the situation:

The following packages have unmet dependencies:

 drcsim : Depends: gazebo (>= 1.2.0) but it is not going to be installed
 ros-fuerte-visualization : Depends: ros-fuerte-visualization-common (= 1.8.4-s1347128602~precise) but it is not going to be installed
E: Unable to correct problems, you have held broken packages.
edit retag flag offensive reopen merge delete

Closed for the following reason question is not relevant or outdated by nkoenig
close date 2013-09-19 09:49:57.051186

2 Answers

Sort by ยป oldest newest most voted
0

answered 2013-01-28 20:02:13 -0600

aqiruse gravatar image

Here is a copy from the command line when I try to perform the update, upgrade, install routine. I tried three times, and this is the output I received the third time. Each time it failed to install drcsim.

sudo apt-get update Ign http://us-east-1.ec2.archive.ubuntu.com precise InRelease Ign http://us-east-1.ec2.archive.ubuntu.com precise-updates InRelease
Ign http://security.ubuntu.com precise-security InRelease
Hit http://us-east-1.ec2.archive.ubuntu.com precise Release.gpg
Hit http://us-east-1.ec2.archive.ubuntu.com precise-updates Release.gpg
Get:1 http://security.ubuntu.com precise-security Release.gpg [198 B]
Hit http://us-east-1.ec2.archive.ubuntu.com precise Release
Get:2 http://security.ubuntu.com precise-security Release [49.6 kB]
Hit http://us-east-1.ec2.archive.ubuntu.com precise-updates Release
Hit http://us-east-1.ec2.archive.ubuntu.com precise/main Sources
Hit http://us-east-1.ec2.archive.ubuntu.com precise/universe Sources
Hit http://us-east-1.ec2.archive.ubuntu.com precise/main amd64 Packages
Get:3 http://security.ubuntu.com precise-security/main Sources [61.3 kB]
Hit http://us-east-1.ec2.archive.ubuntu.com precise/universe amd64 Packages
Hit http://us-east-1.ec2.archive.ubuntu.com precise/main i386 Packages
Hit http://us-east-1.ec2.archive.ubuntu.com precise/universe i386 Packages
Hit http://us-east-1.ec2.archive.ubuntu.com precise/main TranslationIndex
Hit http://us-east-1.ec2.archive.ubuntu.com precise/universe TranslationIndex
Hit http://us-east-1.ec2.archive.ubuntu.com precise-updates/main Sources
Hit http://us-east-1.ec2.archive.ubuntu.com precise-updates/universe Sources
Hit http://us-east-1.ec2.archive.ubuntu.com precise-updates/main amd64 Packages Hit http://us-east-1.ec2.archive.ubuntu.com precise-updates/universe amd64 Packages Get:4 http://security.ubuntu.com precise-security/universe Sources [20.0 kB]
Hit http://us-east-1.ec2.archive.ubuntu.com precise-updates/main i386 Packages Hit http://us-east-1.ec2.archive.ubuntu.com precise-updates/universe i386 Packages Hit http://packages.osrfoundation.org precise InRelease
Get:5 http://security.ubuntu.com precise-security/main amd64 Packages [220 kB] Hit http://us-east-1.ec2.archive.ubuntu.com precise-updates/main TranslationIndex Hit http://us-east-1.ec2.archive.ubuntu.com precise-updates/universe TranslationIndex Hit http://us-east-1.ec2.archive.ubuntu.com precise/main Translation-en
Hit http://us-east-1.ec2.archive.ubuntu.com precise/universe Translation-en
Hit http://us-east-1.ec2.archive.ubuntu.com precise-updates/main Translation-en Hit http://us-east-1.ec2.archive.ubuntu.com precise-updates/universe Translation-en Get:6 http://security.ubuntu.com precise-security/universe amd64 Packages [61.8 kB] Get:7 http://security.ubuntu.com precise-security/main i386 Packages [228 kB]
Hit http://packages.osrfoundation.org precise/main amd64 Packages
Get:8 http://security.ubuntu.com precise-security/universe i386 Packages [63.1 kB] Hit http://security.ubuntu.com precise-security/main TranslationIndex
Ign http://packages.ros.org precise InRelease
Hit http://security.ubuntu.com precise-security/universe TranslationIndex
Hit http://security.ubuntu.com precise-security/main Translation-en
Hit http://packages.osrfoundation.org precise/main i386 Packages
Hit http://security.ubuntu.com precise-security/universe Translation-en
Hit http://packages.ros.org precise Release.gpg
Ign http://packages.osrfoundation.org precise/main TranslationIndex
Hit http://packages.ros.org precise Release
Hit http://packages.ros ... (more)

edit flag offensive delete link more
0

answered 2013-01-13 16:24:25 -0600

nkoenig gravatar image

updated 2013-01-13 16:25:11 -0600

Can you try:

sudo apt-get update
sudo apt-get upgrade
sudo apt-get install drcsim
edit flag offensive delete link more

Question Tools

Stats

Asked: 2013-01-13 16:14:18 -0600

Seen: 105 times

Last updated: Jan 28 '13